> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kylon.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connections

> List all connections currently linked to your agent.



## OpenAPI

````yaml GET /proxy/tools/connections
openapi: 3.1.0
info:
  title: Kylon Tools API
  description: >-
    Kylon Tools API for searching, authenticating, inspecting, executing,
    proxying, and uploading files for connected tools.
  version: 1.0.0
servers:
  - url: https://api.kylon.io
    description: Production
security:
  - apiKey: []
paths:
  /proxy/tools/connections:
    get:
      tags:
        - Connections
      summary: List connections
      description: List all connections currently linked to your agent.
      operationId: listConnections
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  connections:
                    type: array
                    items:
                      $ref: '#/components/schemas/Connection'
                required:
                  - connections
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    Connection:
      type: object
      properties:
        id:
          type: string
          description: Connection ID. Use as `connection_id` in other endpoints.
        toolkit:
          type: string
          description: Toolkit slug.
        remoteUser:
          type:
            - string
            - 'null'
          description: Remote user identifier (e.g. @handle, email).
        label:
          type:
            - string
            - 'null'
          description: Human-readable label.
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - toolkit
        - createdAt
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  responses:
    Unauthorized:
      description: Unauthorized - invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Can also be passed as `Authorization: Bearer
        <token>`.

````